<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- reference.qdoc -->
  <title>List of Probes | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >List of Probes</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">List of Probes</h1>
<span class="subtitle"></span>
<!-- $$$list-of-probes-description -->
<div class="descr"> <a name="details"></a>
<p>These are the probes shipped with Qbs.</p>
<p>Probes are used to retrieve information from the system prior to building. Typically, probes call external processes to get the required information. For details, see <a href="qml-qbslanguageitems-probe.html">Probe</a> page.</p>
</div>
<!-- @@@list-of-probes -->
<div class="table"><table class="annotated">
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-binaryprobe.html">BinaryProbe</a></p></td><td class="tblDescr"><p>Locates executable files outside the project</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-frameworkprobe.html">FrameworkProbe</a></p></td><td class="tblDescr"><p>Locates macOS frameworks outside the project</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-includeprobe.html">IncludeProbe</a></p></td><td class="tblDescr"><p>Locates header files outside the project</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-pathprobe.html">PathProbe</a></p></td><td class="tblDescr"><p>Locates files outside the project</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-pkgconfigprobe.html">PkgConfigProbe</a></p></td><td class="tblDescr"><p>Retrieves the information about installed packages using the pkg-config binary</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-probe.html">Probe</a></p></td><td class="tblDescr"><p>Locates files outside the project</p></td></tr>
</table></div>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
